30.05.2012 на серверах обновлён интерпретатор php

Скрипты, разработка, настройка, администрирование

Модераторы:dobs, ArniXXX, hostess, bj

Ответить
Сообщение
Автор
hostess
HO Support
Сообщения:457
Зарегистрирован:Пт окт 13, 2006 11:14
Откуда:Киев
Контактная информация:
30.05.2012 на серверах обновлён интерпретатор php

#1 Сообщение hostess » Вт май 29, 2012 14:53

В среду, 30.05.2012, на серверах хостинга был обновлён интерпретатор php 5.3.13 до версии 5.4.3, в которой было внесено ряд существенных изменений, с которыми некоторое ранее написанное ПО может не работать.

Для тех, кто проигнорировал нашу рассылку, сообщение на сайте и просто не успел привести свой сайт в соответствии с требованиями нового интерпретатора php, предлагаем небольшую инструкцию:
- Если вы используете стороннее ПО (CMS), то Вам нужно его обновить - обычно разработчики нормального ПО следят за "жизнью" php и своевременно выполняют нужные изменения ещё ДО выхода стабильного релиза php.
- Для понимания, что творится с скриптами сайта нужно включить (если вы этого ещё не сделали) журнал ошибок (http://www.ho.ua/faq.html?page=cgi#ask1), в котором вы сможете увидеть ошибки, из-за которых не работает Ваш сайт.
- Устраняете ошибки и вносите изменения в код.

Об изменениях в новой версии можно прочитать тут - http://php.net/manual/ru/migration54.php
Следует уделить особое внимание разделу "Обратно несовместимые изменения".

Варианты вида "вернуть версию php" не рассматриваются, поскольку предыдущая версия имела громадную уязвимость, из-за которого пострадало (были взломаны) немало сайтов на всех хостингах, использующих старую версию. Дырявое ПО мы не держим.
HO Support team

Ответить